0 tlDac960tk.tcl
1 tlDac960tk.tcl.#menuBar
This is the main window's menu bar.  Only the File and Help menus have
active menu items.  The File menu only has Close and Exit items, both
of which exit the application.  The Help menu has the standard
Motif-style help items. 
1 tlDac960tk.tcl.main
Main GUI window.
2 tlDac960tk.tcl.main.selectController
Controller selection option menu.  This option menu is used to select
which of possibly several controllers to manage.
2 tlDac960tk.tcl.main.controller
Controller information display.  The controller's static information is
displayed here.
2 tlDac960tk.tcl.main.physicalDrives
Physical drive display.  The physical drives are shown here,
arranged by channel, one channel per column.  A graphic is displayed for
each device and is colored to indicate the state of the device: 
	Online 			green
	Rebuild 		orange
	Missing			dark red
	Critical		orange red
	Suspected-Dead		indian red
	Commanded-Offline	violet red
	Dead			red
	Write-Only		yellow
	Standby			blue
	Unknown			black
	default			gray
Each detected device can be left-clicked on to pop up a
<tlPhiscalDriveInfo> dialog box, which displays the device's information
and provides a selection of activities to perform on the device.
2 tlDac960tk.tcl.main.logicalDrives
Logical drive display. The logical drives are shown here, as buttons,
one per drive.  The button text is colored to indicate the state of the
drive:
      Online	green
      Critical  red
      Offline   yellow
Clicking on one of these buttons pops up a <tlLogicalDriveInfo> dialog
box, which displays the drive's information and provides a selection of
activities to perform on the drive.
2 tlDac960tk.tcl.main.backgroundActivity
Background activity display. The current background activity, if any, is
displayed here.
2 tlDac960tk.tcl.controllerActions
Controller global action buttons.  These buttons provide an interface to
various controller global actions:
  <Flush Cache>
  <Cancel Rebuild>
  <Cancel Consistency Check>
3 Flush Cache
    The Flush Cache button flushes the controller's cache.  The system
    automatically flushes the cache at shutdown or if the driver module is
    unloaded, so this command is only needed to be certain a write back cache
    is flushed to disk before the system is powered off by a command to a UPS.
    Note that the flush-cache command also stops an asynchronous rebuild or
    consistency check, so it should not be used except when the system is being
    halted.
3 Cancel Rebuild
    The Cancel Rebuild button cancels any rebuild operations previously
initiated.
3 Cancel Consistency Check
    The Cancel Consistency Check commands cancels any consistency check
operations previously initiated.
0 tlPhiscalDriveInfo
This pop up dialog box displays a physical device's information. This
information includes the channel, target, vendor, model, revision,
transfer count, serial number, status, size, resets, various error
counts, and a selection of action buttons:
  <Kill>
  <Make Online>
  <Make Standby>
  <Rebuild>
along with a Close button.
1 Kill
    The Kill button marks the physical drive as DEAD. This command is
provided primarily for testing, and should not be used during normal
system operation.
1 Make Online
    The Make Online button changes the physical drive from status DEAD
to status ONLINE.  In cases where multiple physical drives have been
killed simultaneously, this command may be used to bring all but one of
them back on line, after which a rebuild to the final drive is
necessary.

    Warning: Make Online should only be used on a dead physical drive
that is an active part of a drive group, never on a standby drive.  The
command should never be used on a dead drive that is part of a critical
logical drive; rebuild should be used if only a single drive is dead.
1 Make Standby
    The Make Standby button changes the physical drive from status DEAD
to status STANDBY.  It should only be used in cases where a dead drive
was replaced after an automatic rebuild was performed onto a standby
drive.  It cannot be used to add a standby drive to the controller
configuration if one was not created initially; the BIOS Configuration
Utility must be used for that currently.
1 Rebuild
    The Rebuild button initiates an asynchronous rebuild onto the
physical drive.  It should only be used when a dead drive has been
replaced.
0 tlLogicalDriveInfo
This pop up dialog box displays a logical drive's information. This
information includes the drive's RAID level, status, size, cache information,
BIOS geometry, stripe size, segment size, and error counts. One action
button is provided, <Check Consistency> along with a Close button.
1 Check Consistency
    The Check Consistency button initiates an asynchronous consistency
check of the drive with automatic restoration.  It can be used whenever
it is desired to verify the consistency of the redundancy information.


